Bug 213484 - RFE: lvremove man page should mention that LVs need to now be deactivated before deleting
RFE: lvremove man page should mention that LVs need to now be deactivated bef...
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: lvm2-cluster (Show other bugs)
4
All Linux
low Severity low
: ---
: ---
Assigned To: Christine Caulfield
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-01 12:22 EST by Corey Marthaler
Modified: 2010-01-11 23:05 EST (History)
4 users (show)

See Also:
Fixed In Version: RHBA-2007-0046
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-10 17:07:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2006-11-01 12:22:34 EST
Description of problem:
This used to work before in the clustered domain, but now we need to deactivate
any clustered volume before it can be deleted. 

[root@link-08 lvm]# lvremove -f /dev/vg/foo
  Error locking on node link-08: Volume is busy on another node
  Can't get exclusive access to volume "foo"

From man page:
OPTIONS
       See lvm(8) for common options.

       -f, --force
              Remove active logical volumes without confirmation.


It should mention now that deactivation is now required.

Version-Release number of selected component (if applicable):
[root@link-08 lvm]# rpm -q lvm2
lvm2-2.02.13-1
[root@link-08 lvm]# rpm -q lvm2-cluster
lvm2-cluster-2.02.13-1
Comment 1 Christine Caulfield 2006-11-06 09:12:01 EST
Checking in WHATS_NEW;
/cvs/lvm2/LVM2/WHATS_NEW,v  <--  WHATS_NEW
new revision: 1.491; previous revision: 1.490
done
Checking in man/lvremove.8;
/cvs/lvm2/LVM2/man/lvremove.8,v  <--  lvremove.8
new revision: 1.4; previous revision: 1.3
done
Comment 2 Corey Marthaler 2006-11-21 17:00:16 EST
fix verified in lvm2-cluster-2.02.15-3
Comment 4 Red Hat Bugzilla 2007-05-10 17:07:51 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0046.html

Note You need to log in before you can comment on or make changes to this bug.